<?php

require 'router.php';

function deny() {
	http_response_code(403);
	exit();
}

if (CONF['common']['services']['ht'] !== 'enabled')
	deny();

$auth_data = json_decode(file_get_contents('php://input'), true);

$username = hashUsername($auth_data['username']);

if (usernameExists($username) !== true)
	deny();

$id = query('select', 'users', ['username' => $username], 'id')[0];

if (checkPassword($id, $auth_data['password']) !== true)
	deny();

echo '
{
	"status": 1,
	"username": ' . json_encode($auth_data['username']) . ',
	"home_dir": "' . CONF['ht']['ht_path'] . '/' . $id . '",
	"quota_size": ' . ((query('select', 'users', ['id' => $id], 'type')[0] === 'approved') ? CONF['ht']['user_quota_approved'] : CONF['ht']['user_quota_testing']) . ',
	"permissions": {
		"/": [
			"*"
		]
	}
}
';
http_response_code(200);

